/***************************************************************************
                          response.cpp  -  description
                             -------------------
    begin                : Thu Nov 20 2003
    copyright            : (C) 2003 by Wei Zheng
    email                : v_zheng@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "response.h"

response::response(){
}
response::~response(){
}

/** No descriptions */
int response::makearray(){

  int i,j;
  i = 0;
  j = 0;

  while(line[i]!=0)
  {
    if(line[i]!=' ')
    {
      if(i==0 || line[i-1]==0)
      {
        point[j] = line+sizeof(char)*i;
         j++;
      }
    }
    else
    {
      line[i]=0;
    }
    i++;
   }
  return j;
}

/** No descriptions */
void response::flush(){
  int i;
  memset(line,0,LINESIZE);
  for(i=0;i<POINTSIZE;i++)
    point[i] = NULL;
}

